# debug info seem not works with D compiler
%global debug_package %{nil}

Name:           dfix
Version:        0.3.2
Release:        1%{?dist}
Summary:        Tool for automatically upgrading D source code
Summary(fr):    Outil pour automatiquement mettre à jour le code source D

License:        Boost
URL:            https://github.com/dlang-community/dfix
# curl -Lodfix-%%{version}%%{?pre:-%%{pre}}.tar.gz https://github.com/dlang-community/dfix/archive/v%%{version}%%{?pre:-%%{pre}}.tar.gz
Source0:        %{name}-%{version}%{?pre:-%{pre}}.tar.gz

BuildRequires:  ldc ldc-phobos-devel stdx-allocator-devel libdparse-devel
Requires:       ldc-druntime ldc-phobos
Requires:       stdx-allocator libdparse

%description
dfix will read and update your D code source.
Features:
  - Updates old-style alias syntax to new-style
  - Fixes implicit concatenation of string literals
  - Automatic conversion of C-style array declarations and parameters to 
D-style. (Not recommended)
  - Upgrades code to comply with DIP65 unless the --dip65=false switch is
specified.
  - Upgrades code to comply with DIP1003 unless the --dip1003=false switch is
specified.
  - Rewrites functions declared const, immutable and inout to be more clear by
moving these keywords from the left side of the return type to the right side
of the parameter list.


%description -l fr_FR
dfix va lire puis mettre à jour votre code source D.
Fonctionnalités:
  - Remplace le vieux style alias par le nouveau style.
  - Corrige la concaténation implicite des chaînes de caractère littérale.
  - Convertit automatiquement und déclaration de tableau style C et les 
paramètres en style d.
  - Met à jour le code afin d'être en accord avec la DIP64 quand le drapeau 
--dip64 est spécifié. (Non recommandé)
  - Met à jour le code afin d'être en accord avec la DIP65 a moins qui le 
drapeau --dip65=false est spécifié.
  - Met à jour le code afin d'être en accord avec la DIP1003 a moins qui le
drapeau --dip1003=false est spécifié.
  - Réécrit les fonctions déclaré const, immutable and inout afin d'être plus
clair en déplaçant ces mot-clés du côté gauche du type de retour de la liste de
paramètre.

%prep
%autosetup

install -d bin
rm -fr stdx-allocator libdparse

%build
DFLAGS='-w -release -g -O2'
sources=$(find src/ -name '*.d')
ldc2 ${sources[@]}  ${DFLAGS} -I%{_d_includedir}/dparse -L-ldparse  -I%{_d_includedir}/stdx -L-lstdx-allocator -of=bin/%{name}


%install
install -d %{buildroot}/%{_bindir}/
install -m0755 bin/%{name} %{buildroot}/%{_bindir}/%{name}


%files
#%%license License.txt
%doc README.md
%{_bindir}/%{name}

%changelog
* Tue Jul 31 2018 MERCIER Jonathan <bioinfornatics at gmail.com> - 0.3.2-1
- Initial release
